%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define source redhat-certification-cloud

Name:           ccp-client
Version:        2.0
Release:        1%{?dist}
Summary:        Client-side tests for Certified Cloud Provider Programme

Group:          Applications/System
License:        GPLv2
URL:            http://www.redhat.com/
Source0:        %{source}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{source}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools
Requires:       rpm-build
Requires:       virt-what, libselinux-python
Provides:       stsclient-cloud-plugin
Obsoletes:      stsclient-cloud-plugin

%description
Client-side tests for Certified Cloud Provider Programme

%prep
%setup -n %{source}-%{version} -q

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Create a symlink ccpclient command inside bin
ln -s ccpclient.py $RPM_BUILD_ROOT/%{_bindir}/ccpclient

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{_sysconfdir}/sts-log.spec
%{python_sitelib}/rhcert/*.py*
%{python_sitelib}/rhcert/suites/*.py*
%{python_sitelib}/rhcert/suites/cloud/*.py*
%{_bindir}/*
%{python_sitelib}/redhat_certification_cloud*egg-info

%changelog
* Tue Dec 2 2014 Shreyank Gupta <sgupta@redhat.com> 2.0-1
- Added virt-what, libselinux-python to Requires
- Removed pyparted from Requires
- Fixes broken yum-cli test for RHEL7
- binaries.py captures installed time for all packages
- Removes tests packager.py and packages.py
- Replace LSB release with platform module
- hypervisor.py fixed to generate proper XML
- Using iptables --list for firewall.py
- Using systemctl for service_status tests on RHEL 7
- updates.py returns valid test status
- Moved to rhcert test-harness based test API
- Changed test location from ccp_client -> rhcert/suites/cloud

* Thu Jun 12 2014 Shreyank Gupta <sgupta@redhat.com> 1.1-1
- Added three new tests.
- Added openscap-utils, scap-security-guide, virt-what to Requires

* Mon Apr 28 2014 Shreyank Gupta <sgupta@redhat.com> 1.0-2
- Remove python-stscommon from Requires.
- Provides and Obsoletes stsclient-cloud-plugin

* Wed Apr 23 2014 Shreyank Gupta <sgupta@redhat.com> 1.0-1
- Initial release.
